[zeromq-dev] libzmq dylib versioning

Mikko Koppanen mikko.koppanen at gmail.com
Thu Sep 22 00:14:09 CEST 2011


On Wed, Sep 21, 2011 at 9:54 PM, MinRK <benjaminrk at gmail.com> wrote:
> I'm not particularly familiar with versioning conventions for library files,
> but does it make sense to change the version reported in the dylib filename
> itself with the 3.0/4.0 changes?
> As it stands, they all install as libzmq.1.0.0

Hi,

the version represents ABI version rather than the library version
itself. The version is incremented when backwards incompatible changes
happen. What we actually should do is to increment the version in 3.x
as it seems to be still having the 1.0.0 version.

-- 
Mikko Koppanen



More information about the zeromq-dev mailing list